gnutls_x509_crq_export2(3)

NAME
gnutls_x509_crq_export2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_export2(gnutls_x509_crq_t crq, gnutls_x509_crt_fmt_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

gnutls_datum_t * out
    will contain a certificate request PEM or DER encoded

DESCRIPTION
This function will export the certificate request to a PEM or DER encoded PKCS10 structure.

The output buffer is allocated using gnutls_malloc().

If the structure is PEM encoded, it will have a header of "BEGIN NEW CERTIFICATE REQUEST".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

Since 3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/